package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.cooleshow.biz.dal.enums.OrderStatusEnum;
import com.yonge.cooleshow.biz.dal.enums.YesOrNoEnum;
import com.yonge.cooleshow.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 曲谱购买记录表
 * @author yzp
 * @date 2022-03-25 23:46:28
 * @version v1.0
 **/
@ApiModel(value = "music_sheet_purchase_record-曲谱购买记录表")
public class MusicSheetPurchaseRecord extends BaseEntity {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long id;  //主键ID

    @TableField("music_sheet_id_")
    @ApiModelProperty(value = "曲谱ID")
    private Long musicSheetId;  //曲谱ID

    @TableField("teacher_id_")
    @ApiModelProperty(value = "老师ID")
    private Long teacherId;  //老师ID

    @TableField("order_no_")
    @ApiModelProperty(value = "订单流水号")
    private String orderNo;  //订单流水号

    @TableField("student_id_")
    @ApiModelProperty(value = "学生ID")
    private Long studentId;  //学生ID

    @TableField("purchase_time_")
    @ApiModelProperty(value = "购买时间")
    private java.util.Date purchaseTime;  //购买时间

    @TableField("purchase_price_")
    @ApiModelProperty(value = "购买价格")
    private java.math.BigDecimal purchasePrice;  //购买价格


	@TableField("original_price_")
	@ApiModelProperty(value = "原价")
	private BigDecimal originalPrice;


	@TableField("music_sheet_service_fee")
	@ApiModelProperty("服务费")
	private BigDecimal musicSheetServiceFee;

    @TableField("order_status_")
    @ApiModelProperty(value = "订单状态(WAIT_PAY:待支付;PAYING:支付中,PAID:已付款)")
    private OrderStatusEnum orderStatus;  //订单状态(1:已完成;0:取消)

	public BigDecimal getOriginalPrice() {
		return originalPrice;
	}

	public void setOriginalPrice(BigDecimal originalPrice) {
		this.originalPrice = originalPrice;
	}

	public BigDecimal getMusicSheetServiceFee() {
		return musicSheetServiceFee;
	}

	public void setMusicSheetServiceFee(BigDecimal musicSheetServiceFee) {
		this.musicSheetServiceFee = musicSheetServiceFee;
	}

	public MusicSheetPurchaseRecord setId(Long id) {
	    this.id = id;
	    return this;
	}

	public Long getId() {
	    return this.id;
	}

	public MusicSheetPurchaseRecord setMusicSheetId(Long musicSheetId) {
	    this.musicSheetId = musicSheetId;
	    return this;
	}

	public Long getMusicSheetId() {
	    return this.musicSheetId;
	}

	public MusicSheetPurchaseRecord setTeacherId(Long teacherId) {
	    this.teacherId = teacherId;
	    return this;
	}

	public Long getTeacherId() {
	    return this.teacherId;
	}

	public MusicSheetPurchaseRecord setOrderNo(String orderNo) {
	    this.orderNo = orderNo;
	    return this;
	}

	public String getOrderNo() {
	    return this.orderNo;
	}

	public MusicSheetPurchaseRecord setStudentId(Long studentId) {
	    this.studentId = studentId;
	    return this;
	}

	public Long getStudentId() {
	    return this.studentId;
	}

	public MusicSheetPurchaseRecord setPurchaseTime(java.util.Date purchaseTime) {
	    this.purchaseTime = purchaseTime;
	    return this;
	}

	public java.util.Date getPurchaseTime() {
	    return this.purchaseTime;
	}

	public MusicSheetPurchaseRecord setPurchasePrice(java.math.BigDecimal purchasePrice) {
	    this.purchasePrice = purchasePrice;
	    return this;
	}

	public java.math.BigDecimal getPurchasePrice() {
	    return this.purchasePrice;
	}

	public MusicSheetPurchaseRecord setOrderStatus(OrderStatusEnum orderStatus) {
	    this.orderStatus = orderStatus;
	    return this;
	}

	public OrderStatusEnum getOrderStatus() {
	    return this.orderStatus;
	}


    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}